Get transaction history
Get crypto transaction history.
curl -X GET "https://api.gpuniq.com/v1/crypto/transactions?page=25&page_size=25&transaction_type=deposit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
import requests
import json
url = "https://api.gpuniq.com/v1/crypto/transactions?page=25&page_size=25&transaction_type=deposit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.gpuniq.com/v1/crypto/transactions?page=25&page_size=25&transaction_type=deposit", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.gpuniq.com/v1/crypto/transactions?page=25&page_size=25&transaction_type=deposit", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.gpuniq.com/v1/crypto/transactions?page=25&page_size=25&transaction_type=deposit')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
response = http.request(request)
puts response.body
{
"transactions": [
{
"transaction_id": "example_string",
"type": "deposit",
"amount": 3.14,
"status": "example_string",
"created_at": "2024-12-25T10:00:00Z"
}
],
"total_count": 10,
"page": 25,
"page_size": 25
}
GET
/v1/crypto/transactions
GET
Bearer Token (JWT)
Bearer Tokenstring
RequiredBearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (JWT). Authentication token required.
Query Parameters
transaction_typestring
Allowed values:
depositwithdrawalResponses
transactionsarray
transaction_idstring
typestring
Allowed values:
depositwithdrawalamountnumber
statusstring
created_atstring
total_countinteger
pageinteger
page_sizeinteger
Was this page helpful?
Last updated Feb 22, 2026
Built with Documentation.AI